#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 brick
version:              0.57.1
visibility:           public
id:                   brick-0.57.1-JEhskXeoBnSGLTD8kvcjMl
key:                  brick-0.57.1-JEhskXeoBnSGLTD8kvcjMl
license:              BSD-3-Clause
copyright:            (c) Jonathan Daugherty 2015-2020
maintainer:           Jonathan Daugherty <cygnus@foobox.com>
author:               Jonathan Daugherty <cygnus@foobox.com>
homepage:             https://github.com/jtdaugherty/brick/
synopsis:             A declarative terminal user interface library
description:
    Write terminal user interfaces (TUIs) painlessly with '\''brick'\''! You
    write an event handler and a drawing function and the library does the
    rest.


    > module Main where
    >
    > import Brick
    >
    > ui :: Widget ()
    > ui = str "Hello, world!"
    >
    > main :: IO ()
    > main = simpleMain ui


    To get started, see:

    * <https://github.com/jtdaugherty/brick/blob/master/README.md The README>

    * The <https://github.com/jtdaugherty/brick/blob/master/docs/guide.rst Brick user guide>

    * The demonstration programs in the '\''programs'\'' directory


    This package deprecates <http://hackage.haskell.org/package/vty-ui vty-ui>.

category:             Graphics
abi:                  1497d2bf9e5fa126ac04bed3e672da53
exposed:              True
exposed-modules:
    Brick Brick.AttrMap Brick.BChan Brick.BorderMap Brick.Focus
    Brick.Forms Brick.Main Brick.Markup Brick.Themes Brick.Types
    Brick.Util Brick.Widgets.Border Brick.Widgets.Border.Style
    Brick.Widgets.Center Brick.Widgets.Core Brick.Widgets.Dialog
    Brick.Widgets.Edit Brick.Widgets.FileBrowser Brick.Widgets.List
    Brick.Widgets.ProgressBar Data.IMap Data.Text.Markup

hidden-modules:
    Brick.Types.Common Brick.Types.TH Brick.Types.Internal
    Brick.Widgets.Internal

import-dirs:          /usr/lib/ghc-8.10.2/site-local/brick-0.57.1
library-dirs:         /usr/lib/ghc-8.10.2/site-local/brick-0.57.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.2/brick-0.57.1
hs-libraries:         HSbrick-0.57.1-JEhskXeoBnSGLTD8kvcjMl
depends:
    base-4.14.1.0 bytestring-0.10.10.0
    config-ini-0.2.4.0-FWjd4YtzArS2jt0FClRUg3 containers-0.6.2.1
    contravariant-1.5.2-9cUYDQvrBi493NpHNvxLum
    data-clist-0.1.2.3-ADkLIgp3Drl69NXhxaKb25 deepseq-1.4.4.0
    directory-1.3.6.0 dlist-1.0-K5h5rrn41DeKK54fuuwwfL
    exceptions-0.10.4 filepath-1.4.2.1
    microlens-0.4.11.2-9caS3Frz8K54yIHXMtlddL
    microlens-mtl-0.2.0.1-9oi5AGxgvu6872DSJa0Xzd
    microlens-th-0.4.3.7-1pi4DiNGRrGBaHLFNiGZWo stm-2.5.0.0
    template-haskell-2.16.0.0 text-1.2.3.2
    text-zipper-0.10.1-8unNSV0Sbxy245bo8tMxuZ transformers-0.5.6.2
    unix-2.7.2.2 vector-0.12.1.2-DniijS7i95iDT0VwtGN3m0
    vty-5.32-A8ZhjgZVRgi8p8uqkmmDhB
    word-wrap-0.4.1-INgJbYVDjBYJBgc7c8lmss

haddock-interfaces:   /usr/share/doc/haskell-brick/html/brick.haddock
haddock-html:         /usr/share/doc/haskell-brick/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

